Bug 16433 - No initial KB focus in Options window
No initial KB focus in Options window
Status: VERIFIED WORKSFORME
Product: platform
Classification: Unclassified
Component: Window System
3.x
PC Linux
: P4 (vote)
: 3.x
Assigned To: mslama
issues@platform
: A11Y, FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-10 15:07 UTC by Jesse Glick
Modified: 2008-12-22 23:57 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2001-10-10 15:07:26 UTC
[dev oct 9, MDI, no projects module] Start the IDE and use Alt-T O to
open the Options window. Arrow keys do not move the selection in this
window. Apparently it does not have KB focus in the explorer tree.
Click in the window and it works. I think this is a regression (maybe
from recent NbMainExplorer focus change?).
Comment 1 Jesse Glick 2001-10-10 15:09:04 UTC
Should I use A11Y keyword rather than CCing you on such things Dusan?
Comment 2 _ ttran 2001-11-08 23:55:38 UTC
fixed
Comment 3 Marian Mirilovic 2001-12-20 16:50:04 UTC
verified in [nb-release33](20011220)
Comment 4 Jesse Glick 2003-02-14 00:58:48 UTC
Broken again, I'm afraid; [dev feb 13], Linux MDI JDK 1.4.1_01, fresh
userdir.
Comment 5 _ ttran 2003-02-14 21:13:29 UTC
someone else please take care w/ this bug.  Unfortunately I don't
remember how I fixed it last time.  Let cvs2cl be your friend :-)
Comment 6 mslama 2003-06-09 13:47:17 UTC
It seems it works now. I tested current dev build 200306090100, MDI,
RH 7.1, KDE 2.1.1. With JDK 1.4.2_b24 as I press Arrow Down keyboard
focus is on tree at left side of option panel. With JDK 1.4.1_03 I
must first press Tab then focus is again on tree. (Recently I changed
behaviour of TopFrameTypeImpl see issue #33940.)
Comment 7 Marian Mirilovic 2003-07-29 09:51:52 UTC
verified - it works fine in [nb_dev](20030728)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo